View Issue Details

IDProjectCategoryLast Update
0023519AI War 2Bug - GameplayAug 11, 2020 12:25 am
ReporterGreatYng Assigned ToBadgerBadger  
Severityminor 
Status resolvedResolutionfixed 
Product Version2.116 GOG Networking Done 
Fixed in Version2.117 
Summary0023519: Dyson Guard ships and Antagonized ships don't Mark up properly
DescriptionAfter the first 'Increase Max Strength' hack the Antagonized Dyson Sphere did not spawn Mk2 ships, and it doesn't after the second 'Increase Max Strength' hack either.
After the first 'Increase Max Strength' hack and the Dyson Sphere has calmed down again, the roaming ships are Mk2 as they should be, but the Guard ships generated have not marked up.
After the second 'Increase Max Strength' hack the Guard ships are Mk2, and the roaming ships are Mk3 so the Guard ships are lagging a Mark level behind.

I have attached three saves: 'Dyson Hack 1 End' is right before the first hack finishes; 'Dyson Hack 2' is right before the Antagonized Sphere returns to normal after the first hack; 'Dyson Hack 2 End' is right before the second hack is finished.
TagsNo tags attached.

Activities

GreatYng

Aug 7, 2020 5:52 pm

reporter  

Dyson Hack 1 End.save (759,540 bytes)
Dyson Hack 2 End.save (995,574 bytes)
Dyson Hack 2.save (881,386 bytes)

BadgerBadger

Aug 8, 2020 12:53 pm

manager   ~0058002

What do you mean by Dyson "Guard" ships?

The expected behaviour is that the mark level for newly built ships should be increased. This mark level change does not apply to the antagonized dyson.

GreatYng

Aug 8, 2020 3:06 pm

reporter   ~0058004

I assumed the Antagonized Dyson would also get the Mark level increase; that's my bad.
By guard ships I mean the Defenders and Sentinels produced and stored (like drones) by the Dyson Sphere Warp Gate.
Dyson Guards.png (83,599 bytes)   
Dyson Guards.png (83,599 bytes)   

RocketAssistedPuffin

Aug 10, 2020 12:11 pm

reporter   ~0058029

Those are full on drones. I imagine they're just trying to keep to the Mark level of the Warp Gate, which is always Markless. I'd guess letting it Mark up with the overall upgrade would fix this.

RocketAssistedPuffin

Aug 10, 2020 12:22 pm

reporter   ~0058030

So I tried it myself, and...the Drones do upgrade, but they went to MK3 instead of MK2, and the Gate itself remains MK1.

The Drone oddity is in other reports I think, so not specific to the Dyson.

BadgerBadger

Aug 11, 2020 12:25 am

manager   ~0058038

Antagonized Dyson Ships now mark up after the hack.

Dyson Guard Drones are now markless

Issue History

Date Modified Username Field Change
Aug 7, 2020 5:52 pm GreatYng New Issue
Aug 7, 2020 5:52 pm GreatYng File Added: Dyson Hack 1 End.save
Aug 7, 2020 5:52 pm GreatYng File Added: Dyson Hack 2 End.save
Aug 7, 2020 5:52 pm GreatYng File Added: Dyson Hack 2.save
Aug 8, 2020 12:53 pm BadgerBadger Note Added: 0058002
Aug 8, 2020 3:06 pm GreatYng File Added: Dyson Guards.png
Aug 8, 2020 3:06 pm GreatYng Note Added: 0058004
Aug 10, 2020 12:11 pm RocketAssistedPuffin Note Added: 0058029
Aug 10, 2020 12:22 pm RocketAssistedPuffin Note Added: 0058030
Aug 11, 2020 12:25 am BadgerBadger Assigned To => BadgerBadger
Aug 11, 2020 12:25 am BadgerBadger Status new => resolved
Aug 11, 2020 12:25 am BadgerBadger Resolution open => fixed
Aug 11, 2020 12:25 am BadgerBadger Fixed in Version => 2.117
Aug 11, 2020 12:25 am BadgerBadger Note Added: 0058038

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?